package com.hai.service;

import com.hai.entity.HighGasOilPrice;

import java.util.List;
import java.util.Map;

public interface HighGasOilPriceService {

    /**
     * 编辑
     * @param highGasOilPrice
     */
    void editGasOilPrice(HighGasOilPrice highGasOilPrice);

    /**
     * 根据id查询
     * @param id
     * @return
     */
    HighGasOilPrice getGasOilPriceById(Long id);

    /**
     * 根据门店和油号查询
     * @param storeId
     * @param oilNo
     * @return
     */
    HighGasOilPrice getGasOilPriceByStoreAndOilNo(Long storeId,Integer oilNo);

    /**
     * 根据门店id 查询
     * @param storeId
     * @return
     */
    List<HighGasOilPrice> getGasOilPriceByStore(Long storeId);

    /**
     * 根据区域和油品 查询数据列表
     * @param regionId
     * @param oilNo
     * @return
     */
    List<HighGasOilPrice> getPriceListByRegionAndOilNo(Long regionId, Integer oilNo);

    /**
     * 根据区域和油号查询门店
     * @param regionId
     * @param oilNoName
     * @return
     */
    List<Map<String,Object>> getStoreListByOilNo(String storeName,Long regionId, String oilNoName);

    /**
     * 查询最近的油站
     * @param longitude
     * @param latitude
     * @return
     */
    Map<String,Object> recentGasStation(String longitude,String latitude);



}
